En JCE Editor no funciona Buscar-Remplazar  

Página 1 / 2
 
Alceste
 Alceste
Noble Member

Hola,
Estoy con Joomla 2.5, plantilla corporate responsive de shape5 y versión 2.3.2.3 del editor JCE. El caso es que cuando edito un artículo y quiero buscar o remplazar un texto no me funciona. Lo he probado con Firefox y con Crome.

Saludos

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 22/03/2013 11:35 am
Hicham
 Hicham
Miembro Admin

Hola Alceste,

¿Se visualiza algún error o sólo no te funciona ?

Busca en la carpeta administrator en el fichero error_log algún error relacionado con el componente.

Si te ha servido de ayuda, déjanos tu testimonio con un link hacia tu Web y mejora su posicionamiento:
Enviar testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/03/2013 11:49 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Hicham,
Simplemente no funciona. Y el caso es que no hace muchos días lo usé sin problemas.

No encuentro ningún error.log dentro del directorio Jupgrade. En la raíz sí, pero el más nuevo es del 2 de marzo y concierne a Ninja Explorer. Hay otros de Enero que conciernen a Jomfish, ambos componentes no usados en el sitio de jupgrade en 2.5.

Saludos

ResponderCitar
Respondido : 22/03/2013 11:59 am
Hicham
 Hicham
Miembro Admin

Hola Alceste,

¿Has cambiado algo en el código o en la configuración del componente?

Si lo has hecho, indícanos los cambios.

Si te ha servido de ayuda, déjanos tu testimonio con un link hacia tu Web y mejora su posicionamiento:
Enviar testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/03/2013 12:17 pm

Cursos Gratuitos WordPress

Alceste
 Alceste
Noble Member

Hola,
No que yo recuerde.
He encontrado esto en el foro de JCE Editor. Es del 14 de Marzo:

CE 2.3.2.3

Firebug shows some errors when trying to use "search and replace".

after clicking the toolbar icon:

Error: no such method 'select' for tabs widget instance

after clicking the replace-tab:

TypeError: ui.panel is undefined

thanks in advance for caring.

Respuesta:

This will be fixed in the next update.

https://github.com/widgetfactory/jce-editor/commit/29ec64702c9dcd0667c0fd4726e907dcdbb74621

Por si no puedes entrar en el enlace adjunto pantallazo con el inicio del contenido. Parece que es un error de JQuery IU. Tengo el pluguin JQueryEasy instalado pero desactivado. ¿Podría solucionarlo a través de este pluguin? Si es así, ¿cómo?

Saludos

PD: He instalado de nuevo JCE y no se ha solucionado.
En Editor por defecto en la conf. global tengo: plg_editors_jce

ResponderCitar
Respondido : 22/03/2013 12:37 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

He realizado pruebas con el buscador del JCE y me funciona correctamente. Tendrías que indicarnos la versión de JCE que estás utilizando. Indicas que lo has vuelto a instalar, pero no se si se trata de la última versión.

Por otro lado, dado que esto se ejecuta con javascript, sí que es posible que cause conflicto con alguna otra extensión (normalmente plugins) que tengas instalado, por lo que podrías probar a ir desactivando plugins para ver si detectas alguno que cause el problema.

Personalmente no perdería mucho tiempo en esto. Para buscar textos puedes usar el propio buscador del navegador. También te encontrará los textos que estén dentro del propio editor.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/03/2013 2:06 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Pablo,

La versión de JCE que tengo es la última: 2.3.2.3.
En el post de su foro parece que indican que se solucionará en la próxima actualización.
Tienes razón en no perder mucho tiempo, lo puedo hacer como dices. De todos modos me gustaría saber si el pluguin JQueryEasy es útil para solucionar este tipo de conflictos y si sabéis de algún tutorial o guía sobre su uso. No me atrevo a hacer pruebas con él por si supone algún riesgo.

Saludos 🙂

ResponderCitar
Respondido : 22/03/2013 2:40 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

En principio, salvo que lo necesites para algo en concreto el plugin yo no lo usaría. Aunque está pensado para resolver posibles problemas con la librería JQuery es posible que pueda dar más problemas que soluciones.

Ten en cuenta que muchas extensiones de Joomla o la propia plantilla que estés utilizando puedes usar esa librería, y se podría entrar en conflictos.

En resumen, la puedes probar para ver si te resuelve algo, pero si es solo por el buscador del JCE no merece la pena.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/03/2013 3:54 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Alceste
 Alceste
Noble Member

Gracias Pablo,
¿Puedo desinstalarlo sin que me de problemas? Es que he leído comentarios que hay ciertos plugins que es mejor no desinstalar y que es mejor dejar desactivados sin desinstalar.

Saludos

ResponderCitar
Respondido : 22/03/2013 4:34 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Alceste,

Los plugins "nativos" del core de Joomla! no debes desinstalarlos nunca, como mucho desactivar (con precaución y consultando si no lo tienes claro) aquel que consideres.

Los plugins de terceros, si tienes claro que no precisas de su funcionalidad, es mejor desinstalarlo, aunque no tengas habilitada determinada extensión, si esta está desactualizada o es vulnerable, mediante scripts se la pude invocar para explotar la vulnerabilidad y afectar a tu sitio web.

Antes de desinstalar, es bueno tomar la precaución de realizar una copia de seguridad ya sea con Akeeba Backup o con XCloner

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 23/03/2013 1:01 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Luís 🙂

Lo preguntaba por precaución, por si con JQueruEasy podía ocurrir como con el plugin sh404SEF, que me comentastéis que jugaba malas pasadas si se desinstalaba. Prefiero pecar de prudente.

Sabiendo que no es el caso, hago copia de seguridad y lo desinstalo.

Saludos y gracias por tu ayuda!

ResponderCitar
Respondido : 23/03/2013 8:44 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Alceste,

Los plugins que trabajen con jQuery (jquery****lo_que_sea) tómalos con precaución a la hora de utilizarlos porque es posible que generen conflictos a otras extensiones de terceros que ya tengas instaladas, te supongan una inversión en horas luego buscando el error, siendo en muchas ocasiones la causa de estos conflictos este tipo de plugins.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 23/03/2013 12:45 pm

Cursos Gratuitos WordPress

Alceste
 Alceste
Noble Member

Gracias Luis,

Tomo nota 🙂

Saludos

ResponderCitar
Respondido : 25/03/2013 7:07 am
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Alceste,

Si el problema se resuelve con la próxima actualización de JCE, quizás mejor esperar, puesto que lanzan versiones bastante a menudo.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio

ResponderCitar
Respondido : 25/03/2013 8:20 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Jordi,
Sí. Voy a esperar. Lo que desinstalaré es el pluguin JQueryEasy.

Saludos

ResponderCitar
Respondido : 26/03/2013 10:54 am
Página 1 / 2

Por favor Iniciar Sesión o Registro